<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
>
	<!-- Input Modal TO BE REMOVED -->
		<div id="ideaInputModalx" class="w3-modal">
			<h:form id="ideaInputModalFormx" enctype="multipart/form-data">
				<h:inputHidden id="ideasIdHidden" value="#{ideaInputBean.currentIdeasId}" />
				<h:inputHidden id="latx" value="#{ideaInputBean.lat}" />
				<h:inputHidden id="lngx" value="#{ideaInputBean.lng}" />
				<div class="w3-modal-content w3-animate-opacity">
					<header class="w3-container w3-blue">
						<h2 id="ideaInputModalHeadline">Neue Idee</h2>
					</header>
					<div class="w3-container w3-padding-small">
						<p style="padding-bottom: 20px">
							<p:inputText id="ideaTitleInput" class="w3-input w3-animate-input" type="text"
								style="width:40%" value="#{ideaInputBean.title}"
								placeholder="Titel der Idee." />
						</p>

						<p style="padding-bottom: 15px">
							<p:inputText id="ideaShortDescriptionInput" class="w3-input w3-animate-input" type="text"
								style="width:40%" value="#{ideaInputBean.shortDescription}"
								placeholder="Kurzbeschreibung der Idee." />
						</p>

						<p:inputTextarea id="ideaDescriptionInput"  rows="10" cols="60"
							value="#{ideaInputBean.description}"
							pass:placeholder="Beschreibung der Idee." />

					<p> Auf die Karte klicken, um die Idee zu verorten: </p>
					<!-- LEAFLET JAVASCRIPT -->
					<script>
					    define._amd = define.amd;
					    define.amd = false;
					</script>
						<link rel="stylesheet" href="https://unpkg.com/leaflet@1.2.0/dist/leaflet.css" />
						<script src="https://unpkg.com/leaflet@1.2.0/dist/leaflet.js"></script>
					<script>
					    define.amd = define._amd;
					</script>
					 <div id="mapid"></div>
						 <script>
							 var mymap = L.map('mapid').setView([48.174918, 11.596160], 13);
								L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
								    maxZoom: 18,
								    id: 'mapbox.streets',
								    accessToken: 'your.mapbox.access.token'
								}).addTo(mymap);

								mymap.on('click', addMarker);

									var marker;
									function addMarker(e) {
										if(marker != null){
											mymap.removeLayer(marker);
										}
									        marker = new L.Marker(e.latlng, {draggable:false});
									        mymap.addLayer(marker);
									        document.getElementById("_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputModalForm:latx").value = e.latlng.lat;
									        document.getElementById("_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputModalForm:lngx").value = e.latlng.lng;
									};
						 </script>
					 <!-- LEAFLET JAVASCRIPT END -->
						<h:panelGrid columns="2" style="margin-bottom:10px"
							cellpadding="5">
							<h:outputText value="Veröffentlichen"
								style="font: 15px Verdana" />
							<p:selectBooleanCheckbox value="#{ideaInputBean.publish}"
								style="padding-top:10px" />
			            <p:selectOneMenu id="dropdownCategory" value="#{ideaInputBean.selectedCategory}" style="width:150px">
			                <f:selectItem itemLabel="Kategorie auswählen" itemValue="" noSelectionOption="true" />
			                <f:selectItems value="#{ideasBean.getAllCategoryTitles()}" />
			            </p:selectOneMenu>
						</h:panelGrid>
					</div>
					<div class="w3-left-align w3-padding-small">
						<p>Hier kann ein Titelbild für die Idee hochgeladen werden.</p>
					</div>
					<p:fileUpload id="fileUploadx"
						fileUploadListener="#{ideaInputBean.upload}" mode="advanced" auto="true"
						dragDropSupport="true" sizeLimit="10000000"
						allowTypes="/(\.|\/)(gif|jpe?g|png)$/" fileLimit="1" />
						<p>Hier kann ein kurzes Video für die Idee hochgeladen werden (Als .mp4- oder .MOV-Datei). </p>
					<p:fileUpload id="fileUploadVideox"
						fileUploadListener="#{ideaInputBean.uploadVideo}" mode="advanced" auto="true"
						dragDropSupport="true" sizeLimit="50000000"
						allowTypes="/(\.|\/)(mp4|MOV)$/" fileLimit="1" />

					<footer class="w3-container w3-grey">
						<div class="w3-bar">
							<p:commandButton value="Speichern" id="submitBtnProject"
								onclick="document.getElementById('ideaInputModal').style.display='none' "
								actionListener="#{ideaInputBean.createNewIdea}"
								styleClass="ui-priority-primary" style="float:right;">
							</p:commandButton>

							<p:button value="Abbruch" id="cancelBtnProject"
								onclick="document.getElementById('ideaInputModal').style.display='none'">
							</p:button>
						</div>
					</footer>
				</div>
			</h:form>
		</div>
		</f:view>